function removeWord(lineIdx, slotIdx) {

  if (!userAnswers[lineIdx]) return;

  const slots = document.querySelectorAll(`.word-slot[data-line="${lineIdx}"]`);



  const removedWord = userAnswers[lineIdx][slotIdx];

  if (removedWord) {

    userAnswers[lineIdx][slotIdx] = null;

    slots[slotIdx].textContent = '___';

    slots[slotIdx].classList.remove('filled');

    slots[slotIdx].classList.add('empty');



    // Habilitar el botón si ya no se está usando la palabra

    disableWordButton(lineIdx, removedWord, false);

    clearFeedback(lineIdx);

  }

}

